SQL Server error 15195 – The MUST_CHANGE option is not supported by this version of Microsoft Windows.

Posted on : 04-06-2012 | By : Devi Prasad | In : msg 15195

Share:

0


Error Message:
The MUST_CHANGE option is not supported by this version of Microsoft Windows.

Fix/Resolution:
If you are creating user using the UI then Uncheck User Must Change Password at Next Login option as schown below.

Uncheck User Must Change Password at Next Login

If you are using the script to create user then remove the word MUST_CHANGE from the syntax.

CREATE LOGIN [username] WITH PASSWORD=N'pa@Ssword' MUST_CHANGE, DEFAULT_DATABASE=[master], CHECK_EXPIRATION=ON, CHECK_POLICY=ON

After:

CREATE LOGIN [username] WITH PASSWORD=N'pa@Ssword' , DEFAULT_DATABASE=[master], CHECK_EXPIRATION=ON, CHECK_POLICY=ON
(Visited 619 times, 1 visits today)



References : Devi Prasad (sqlserverlearner.com)

Need Help On SQL Server?

Cannot Find Solution to your problem (or) If you are looking for some help on SQL Server. Dont worry Click Here to Post your question and solve your issue.


Do you like my blog?

If you liked reading this blog, please help spread the word by sharing this blog with your friends.




Write a comment



Tags: , ,